Subject: Re: [Anima] [Technical Errata Reported] RFC8992 (6591)

From: Brian E Carpenter <[email-masked]>
Date: Sat, 5 Jun 2021 10:29:24 +1200

Obviously, having reported my own error, I think it should be
verified ASAP. Does anyone disagree?

Regards
   Brian Carpenter

On 26-May-21 12:02, RFC Errata System wrote:
> The following errata report has been submitted for RFC8992,
> "Autonomic IPv6 Edge Prefix Management in Large-Scale Networks".
> 
> --------------------------------------
> You may review the report below and at:
> https://www.rfc-editor.org/errata/eid6591
> 
> --------------------------------------
> Type: Technical
> Reported by: Brian Carpenter <[email-masked]>
> 
> Section: 6
> 
> Original Text
> -------------
> objective = ["PrefixManager.Params", objective-flags, any]
> 
> Corrected Text
> --------------
> objective = ["PrefixManager.Params", objective-flags, loop-count, any]
> 
> Notes
> -----
> Careless omission in original
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party  
> can log in to change the status and edit the report, if necessary. 
> 
> --------------------------------------
> RFC8992 (draft-ietf-anima-prefix-management-07)
> --------------------------------------
> Title               : Autonomic IPv6 Edge Prefix Management in Large-Scale Networks
> Publication Date    : May 2021
> Author(s)           : S. Jiang, Ed., Z. Du, B. Carpenter, Q. Sun
> Category            : INFORMATIONAL
> Source              : Autonomic Networking Integrated Model and Approach
> Area                : Operations and Management
> Stream              : IETF
> Verifying Party     : IESG
>

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Mon, 7 Jun 2021 13:28:48 +0000

Hi all,

I agree.

Brian, I propose expand the notes to:

"Careless omission in the original.  All GRASP Objective Options must include a loop-count as required by the format defined in section 2.10 of RFC 8990."

Okay?

This seems like a fairly obvious bug, so I plan on verifying this errata tomorrow unless I hear any objections.

Thanks,
Rob

> -----Original Message-----
> From: Brian E Carpenter <[email-masked]>
> Sent: 04 June 2021 23:29
> To: RFC Errata System <[email-masked]>; [email-masked];
> [email-masked]; [email-masked];
> [email-masked]; Rob Wilton (rwilton) <[email-masked]>;
> [email-masked]
> Cc: [email-masked]
> Subject: Re: [Technical Errata Reported] RFC8992 (6591)
>

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 8 Jun 2021 08:21:40 +1200

Yes, that extra sentence is good.

Thanks,
   Brian